<?php

function ZLECENIE_BADAN_1() {

SEF('MENU');
MENU();

	if(!isset($_GET['LIMIT'])) $_GET['LIMIT']=500;
	if(!isset($_GET['S_ADDRESS_STREET'])) $_GET['S_ADDRESS_STREET']='%';
	if(!isset($_GET['M_REWIR'])) $_GET['M_REWIR']='GD%';
	//if(!isset($_GET[SQL_PARAMETR])) $_GET[SQL_PARAMETR]='GD%';

$fs="<font size=\"1\">";
$fse="</font>";
echo " .<p style=\"page-break-before: always\">\n . ";
echo "<br>TODO 2007-04-18 HD3.1.1.1 ZLECENIE WYKONANIA BADAN / HD4.1 DZIALAN HANDLOWYCH W TERENIE  dn 2007-??-?? <font size=-3><br>
Module written by A.Binder @2007-04-19 after work, scoring based on : OPER_FIN,BAD_DATE (math function : max=6/0months, min=0/3months +/- (from now())),  OPER_ZAD (max=6/zad=1, min=0/zad=6) , OPER_ZAINT (max=6/zad=6) </font> ";
?>
<form action="" method="GET">
	<input type=hidden name="MENU_INIT" value="ZLECENIE_BADAN_1">

	Czy jest uruchomiony proces dystrybucji lub chcesz go uruchomic dla tego zlecenia? (wypełnienie danych)
	<input type="checkbox" name="ZLECENIE_DYSTRYBUCJI_1_CZY_WYPELNIC_DANE" <?php if ($_GET['ZLECENIE_DYSTRYBUCJI_1_CZY_WYPELNIC_DANE']) echo ' checked="checked"'; ?> >

	<br>Czy zlecenie wyklucza dzialania handlowe (tylko rekordy przedawnione 160 dni)?
	<input type="checkbox" name="ZLECENIE_DYSTRYBUCJI_1_CZY_BADANIE" <?php if ($_GET['ZLECENIE_DYSTRYBUCJI_1_CZY_BADANIE']) echo ' checked="checked"'; ?> >

	<br>Czy wykluczyc rekordy na ktorych jest aktualnie wprowadzone spotkanie w przyszlosci(NOWOSC20080219)?
	<input type="checkbox" name="ZLECENIE_DYSTRYBUCJI_1_WYKLUCZ_APPOITMENTS" <?php if ($_GET['ZLECENIE_DYSTRYBUCJI_1_WYKLUCZ_APPOITMENTS']) echo ' checked="checked"'; ?> >

	<br>Czy zlecenie wyklucza dzialania tylko badan (wykluczone rekordy NIEWIADOMO, zlecenie HANDLOWE - scoring)?
	<input type="checkbox" name="ZLECENIE_DYSTRYBUCJI_1_CZY_NIEWIADOMO" <?php if ($_GET['ZLECENIE_DYSTRYBUCJI_1_CZY_NIEWIADOMO']) echo ' checked="checked"'; ?> >

	<br>Czy zlecenie wyklucza rekordy wlasnych klientow (wykluczone rekordy BN i ND)?
	<input type="checkbox" name="ZLECENIE_DYSTRYBUCJI_1_CZY_SWOI" <?php if ($_GET['ZLECENIE_DYSTRYBUCJI_1_CZY_SWOI']) echo ' checked="checked"'; ?> >

	<br>Czy zlecenie tylko dla  rekordów dotyczących wlasnych klientow (badanie jakości BN i ND)?
	<input type="checkbox" name="ZLECENIE_DYSTRYBUCJI_1_CZY_JAKOSC" <?php if ($_GET['ZLECENIE_DYSTRYBUCJI_1_CZY_JAKOSC']) echo ' checked="checked"'; ?> >

	<br>Czy ukryć dane z bazy w arkuszu dla przedstawiciela/ankietera?
	<input type="checkbox" name="ZLECENIE_DYSTRYBUCJI_1_CZY_UKRYC" <?php if ($_GET['ZLECENIE_DYSTRYBUCJI_1_CZY_UKRYC']) echo ' checked="checked"'; ?> >

<?php
$ZLECENIE_DYSTRYBUCJI_1_CO_BRAC_POD_UWAGE = array(
	"NAZWY" => array('INTERNET','TELEFON','TV' ),
	"NAZWY_POL_BAD" => array('I_BAD_DATE','T_BAD_DATE','TV_BAD_DATE'),
	"NAZWY_POL_SKROT" => array('I','T','TV')
);

$ZLECENIE_DYSTRYBUCJI_1_CO_BRAC_POD_UWAGE_SET=array();

foreach($ZLECENIE_DYSTRYBUCJI_1_CO_BRAC_POD_UWAGE['NAZWY_POL_SKROT'] as $key => $value) {
	echo "<br><font color=blue>Czy brac pod uwage badania dla uslug $value (".$ZLECENIE_DYSTRYBUCJI_1_CO_BRAC_POD_UWAGE['NAZWY'][$key].") ? </font> <input type=\"checkbox\" name=\"ZLECENIE_DYSTRYBUCJI_1_WAZNE_KOLUMNY_".$value."\"";
	if ($_GET["ZLECENIE_DYSTRYBUCJI_1_WAZNE_KOLUMNY_".$value]) {
	echo "checked=\"checked\"";
		array_push($ZLECENIE_DYSTRYBUCJI_1_CO_BRAC_POD_UWAGE_SET, "$value");
	}
	echo ">";
}

//print_r($ZLECENIE_DYSTRYBUCJI_1_CO_BRAC_POD_UWAGE);

echo " <br>Czy wyszukac tylko miejsca, gdzie nie bylo dzialan w przeciagu podanego czasu?<input type=\"checkbox\" name=\"ZLECENIE_DYSTRYBUCJI_1_UZUPELNIC_DYSTRYBUCJE\"";
 if($_GET['ZLECENIE_DYSTRYBUCJI_1_UZUPELNIC_DYSTRYBUCJE']) { echo "checked=\"checked\"";
  $ZLECENIE_DYSTRYBUCJI_1_TERMIN_DOSZCZELNIENIA=$_GET['ZLECENIE_DYSTRYBUCJI_1_TERMIN_DOSZCZELNIENIA'] ;
// $ZLECENIE_DYSTRYBUCJI_1_UZUPELNIC_DYSTRYBUCJE;
 settype($ZLECENIE_DYSTRYBUCJI_1_UZUPELNIC_DYSTRYBUCJE, "integer");  

 $SECONDS=(86400 * $ZLECENIE_DYSTRYBUCJI_1_TERMIN_DOSZCZELNIENIA) ;
 foreach ($ZLECENIE_DYSTRYBUCJI_1_CO_BRAC_POD_UWAGE_SET as  $key=>$value) {

 $ZLECENIE_DYSTRYBUCJI_1_UZUPELNIC_DYSTRYBUCJE_SQL.=" and unix_timestamp(t1.".$value."_BAD_DATE)>(unix_timestamp(now())-$SECONDS)";
 }
//  and t1.I_BAD_DATE> from_unixtime(unix_timestamp(now())-31536000)  
 }
echo ">";



foreach ($ZLECENIE_DYSTRYBUCJI_1_CO_BRAC_POD_UWAGE_SET  as  $key=>$value) {
if($_GET['ZLECENIE_DYSTRYBUCJI_1_CZY_NIEWIADOMO']) { 
  $ZLECENIE_DYSTRYBUCJI_1_CZY_NIEWIADOMO_SQL.=" and (  t1.".$value."_OPER!='NIEWIADOMO'  )";
  $ZLECENIE_DYSTRYBUCJI_1_CZY_NIEWIADOMO_WHAT_SQL.=" , 
   if(t1.".$value."_OPER_ZAD='NIEWIADOMO',0,6-I_OPER_ZAD)+
   if(t1.".$value."_OPER_ZAINT='NIEWIADOMO',0,t1.".$value."_OPER_ZAINT)+
   if(   (abs(unix_timestamp(t1.".$value."_OPER_FIN)-unix_timestamp(now()))/86400*(-0.0667))+6 > 0,
   round((abs(unix_timestamp(t1.".$value."_OPER_FIN)-unix_timestamp(now()))/86400*(-0.0667))+6,0),0 )+
   if(   (abs(unix_timestamp(t1.".$value."_BAD_DATE)-unix_timestamp(now()))/86400*(-0.0667))+6 > 0,
   round((abs(unix_timestamp(t1.".$value."_BAD_DATE)-unix_timestamp(now()))/86400*(-0.0667))+6,0),0 ) as ".$value."_TOTAL_SCORE  ";
  $ZLECENIE_DYSTRYBUCJI_1_CZY_NIEWIADOMO_ORDER_SQL.="".$value."_TOTAL_SCORE desc , ";
  

 }
  //and t1.I_OPER_ZAINT!='NIEWIADOMO'    and (t1.I_OPER_FIN < from_unixtime(unix_timestamp(now())+2592000) or t1.I_OPER_FIN='0000-00-00' )
if($_GET['ZLECENIE_DYSTRYBUCJI_1_CZY_BADANIE']) {
  $ZLECENIE_DYSTRYBUCJI_1_CZY_BADANIE_WHAT_SQL.=" , concat(year('".$value."_BAD_DATE'),month('".$value."_BAD_DATE')) as ".$value."_BAD_DATE_GROUP ";
//  $ZLECENIE_DYSTRYBUCJI_1_CZY_BADANIE_SQL.=" and t1.".$value."_OPER='NIEWIADOMO'   ";
  $ZLECENIE_DYSTRYBUCJI_1_CZY_BADANIE_SQL.=" and unix_timestamp(t1.".$value."_BAD_DATE)<(unix_timestamp(now())-13824000)";
  $ZLECENIE_DYSTRYBUCJI_1_CZY_BADANIE_ORDER_SQL.="".$value."_BAD_DATE_GROUP , S_ADDRESS_STREET  , ";
 }
if($_GET['ZLECENIE_DYSTRYBUCJI_1_CZY_SWOI']) $ZLECENIE_DYSTRYBUCJI_1_CZY_SWOI_SQL.=" and ( t1.".$value."_OPER!='BN' and t1.".$value."_OPER!='ND' )  ";

 if($_GET['ZLECENIE_DYSTRYBUCJI_1_CZY_JAKOSC']) {
   $ZLECENIE_DYSTRYBUCJI_1_CZY_JAKOSC_SQL.=" and ( t1.".$value."_OPER='BN' or t1.".$value."_OPER='ND' )  ";  



 }
if($_GET['ZLECENIE_DYSTRYBUCJI_1_WYKLUCZ_APPOITMENTS']) $ZLECENIE_DYSTRYBUCJI_1_CZY_SWOI_SQL.=" and ( unix_timestamp(t1.L_APPOITMENT_DATE)<unix_timestamp(now()) or t1.L_APPOITMENT_TYPE='' )  ";



} // ??EOF foreach root


//echo $ZLECENIE_DYSTRYBUCJI_1_UZUPELNIC_DYSTRYBUCJE_SQL;


if(!$_GET['ZLECENIE_DYSTRYBUCJI_1_UZUPELNIC_DYSTRYBUCJE']) echo "<i>Opcja deaktywuje opcje nizej:</i>";
 echo "<br>OKRESL TERMIN WYKLUCZENIA AKTUALNOSCI POPRZEDNICH DZIALAN w dniach (zalecane 160 dni) <input type=text name=ZLECENIE_DYSTRYBUCJI_1_TERMIN_DOSZCZELNIENIA value=\"$ZLECENIE_DYSTRYBUCJI_1_TERMIN_DOSZCZELNIENIA\"> ";


/* TODO trzeba zrobic, zeby dzial?al?o
echo "<br>Czy brac pod uwage wylacznie M_REWIR na ktorym jest aktywna oferta uslug? <input type=\"checkbox\" name=\"ZLECENIE_M_REWIR_OFERTY_TAK\"";
 if($_GET[ZLECENIE_M_REWIR_OFERTY_TAK])  echo "checked=\"checked\"";
echo ">";
*/

if($_GET['ZLECENIE_DYSTRYBUCJI_1_CZY_WYPELNIC_DANE']) {
echo "<br>PROCES DYSTRYBUCJI INFORMACJI wg danych poniżej:";
$ZMIENNE=array('DATA_ZLECENIA_DZIALAN','NUMER_PROCESU','DATA_PROCESU','ZLECENIOBIORCA',
'JAKIE_POWIERZONO_MATERIALY_plakaty_ulotki_itp','INNE_POWIERZONE_PRZEDMIOTY_np_nozyczki_tasma_itp','LACZNA_WARTOSC_POWIERZONYCH_MAETRIALOW',
'GDZIE_UMIESZCZAC_MATERIALY',
'NUMER_DZIALANIA','RODZAJ_DZIALANIA','DZIALANIA_NALEZY_WYKONAC_W_DNIU','DZIALANIA_NALEZY_WYKONAC_OD_GODZINY','DZIALANIA_NALEZY_WYKONAC_TEGO_SAMEGO_DNIA_DO_GODZINY',
'DODATKOWE_CZYNNOSCI_DO_ZROBIENIA_np_poskladac_ogumkowac_itp','WARTOSC_ZLECENIA','TERMIN_DATA_DOSTARCZENIA_RAPORTU','GODZINA_DOSTARCZENIA_RAPORTU',
'MIEJSCE_DOSTARCZENIA_RAPORTU','DATA_DRUKU_PROJEKTU_MATERIALU_MARKETINGOWEGO',
'NAZWA_PLIKU_WZORU_LUB_INNE_JEDNOZNACZNE_OKRESLENIE_RODZAJU_MATERIALU','ILOSC_MATERIALU_W_MAGAZYNIE_PRZED_DYSTRYBUCJA',
'ILOSC_POWIERZONYCH_SZTUK_MATERIALOW','ILOSC_MATERIALU_W_MAGAZYNIE_PO_DYSTRYBUCJI',
'CZY_NALEZY_DOPROWADZIC_DO_UZUPELNIENIA_MATERIALOW','JAKA_NALEZY_WYKONAC_AKCJE_JAK_ZABRAKNIE_MATERIALU',
'ILOSC_PRZEKAZANYCH_REKORDOW_DO_DYSTRYBUCJI');

$ZMIENNE_DESC["JAKA_NALEZY_WYKONAC_AKCJE_JAK_ZABRAKNIE_MATERIALU"]=" np. zaprzestać działania, inne";
$ZMIENNE_DESC["CZY_NALEZY_DOPROWADZIC_DO_UZUPELNIENIA_MATERIALOW"]=" tak(wpisać jakie i je podjąć) lub nie ";
$ZMIENNE_DESC["ILOSC_MATERIALU_W_MAGAZYNIE_PO_DYSTRYBUCJI"]=" wpisać ilość lub wpisać informację czy materiałów nie zabraknie ";
$ZMIENNE_DESC["ILOSC_PRZEKAZANYCH_REKORDOW_DO_DYSTRYBUCJI"]=" należy spisać ręcznie z listy ile zestawienie zabiera rekordów (check) ";
$ZMIENNE_DESC["GDZIE_UMIESZCZAC_MATERIALY"]=" np. bezpośrednio do mieszkania na każdym adresie, inaczej (jak?) ";
$ZMIENNE_DESC["RODZAJ_DZIALANIA"]=" np. badania marketingowe/ankiety, sprzedaz bezposrednia, badania własnej jakości, badania z ofertowaniem, inne (opisac krótko) ";
$ZMIENNE_DESC["NUMER_DZIALANIA"]=" według zakresu obowiązków np: \"HD3.1.1.1\" - jest to tylko wykonywanie badan w terenie, \"HD4.1\" - jest to sprzedaż bezpośrednia (na podstawie danych z bazy handlowej).  ";

foreach($ZMIENNE as $PARAMETR) {
// echo "$PARAMETR $WARTOSC";
 if($_GET[$PARAMETR]) ${$PARAMETR}="$_GET[$PARAMETR]"; else ${$PARAMETR}=".......................";
 echo "<br>$PARAMETR<input type=text name=$PARAMETR size=40 value=\"".${$PARAMETR}."\">";
 if($ZMIENNE_DESC[$PARAMETR]) echo "<i>".$ZMIENNE_DESC[$PARAMETR]."</i>";
 } 


echo "<br>Jeżeli uzupełniłeś możliwie Karte Procesu, to ją wydrukuj i umieść w teczce z aktywnymi działaniami, na podstawie tej kartki i danych w niej zawartych należy egzekwować/kontrolować czynności w terenie. Nie zapomnij dopisać informacji do CRM (dla odpowiedniego/odpowiednich rewirów, pasujących do klucza <b><i> $M_REWIR </i></b> ), oto one:<br>
<font color=\"red\"> $DATA_PROCESU_DYSTRYBUCJI $_SESSION[ADM_ACCOUNT], Uruchamiam  PROCES_DZIAŁAŃ_W_TERENIE ( $DATA_PROCESU / $NUMER_DZIALANIA / # $NUMER_PROCESU  ) rodzaj działań: ";
if($_GET['ZLECENIE_DYSTRYBUCJI_1_CZY_BADANIE']) echo "<b> BADANIE-tylko-rekordy-przedawnione-160dni , </b>";
if($_GET['ZLECENIE_DYSTRYBUCJI_1_CZY_NIEWIADOMO']) echo "<b> WYKLUCZONO-REKORDY-NIEWIADOMO , </b>";
if($_GET['ZLECENIE_DYSTRYBUCJI_1_CZY_SWOI']) echo "<b> WYKLUCZONO-REKORDY-BN-i-ND (badanie na rekordach obcych) , </b>";
if($_GET['ZLECENIE_DYSTRYBUCJI_1_CZY_UKRYC']) echo "<b> UKRYTO_POPRZENIE_WYNIKI_BADAN (tylko lista adresów)  </b>";
if($_GET['ZLECENIE_DYSTRYBUCJI_1_CZY_JAKOSC']) echo "<b> BADANIE_JAKOSCI_SWOICH_USLUG (tylko lista wlasnych klientow)  </b>";
 echo ", analizy dla rekordów: ";
 foreach ($ZLECENIE_DYSTRYBUCJI_1_CO_BRAC_POD_UWAGE_SET  as  $key=>$value) {
  echo "<b>".$ZLECENIE_DYSTRYBUCJI_1_CO_BRAC_POD_UWAGE['NAZWY'][array_search($value,$ZLECENIE_DYSTRYBUCJI_1_CO_BRAC_POD_UWAGE['NAZWY_POL_SKROT'])]." , </b>";
 }
echo "dla danych obszaru $_GET[M_REWIR]/$_GET[S_ADDRESS_STREET] , ulotka $NAZWA_PLIKU_WZORU_LUB_INNE_JEDNOZNACZNE_OKRESLENIE_RODZAJU_MATERIALU druk z dnia $DATA_DRUKU_PROJEKTU_MATERIALU_MARKETINGOWEGO , ilość $ILOSC_POWIERZONYCH_SZTUK_MATERIALOW koniec procesu na $TERMIN_DATA_DOSTARCZENIA_RAPORTU_KONTROLI / $TERMIN_DATA_DOSTARCZENIA_RAPORTU. 

  \n<br> TODO $DATA_PROCESU_DYSTRYBUCJI , $_SESSION[ADM_ACCOUNT], w przeciagu 14 dni zakonczyc proces z ( $DATA_PROCESU_DYSTRYBUCJI / $NUMER_PROCESU ) i wprowadzic dane do L3.</font><br> ";
} else {
foreach($ZMIENNE as $PARAMETR) { if($_GET[$PARAMETR]) ${$PARAMETR}=$_GET[$PARAMETR]; else ${$PARAMETR}=".......................";}
}


echo "<input type=hidden name=ADD value=ADD>";
echo "<br>OKRESL ZAKRES DZIALAN  (zakoncz znakami %) - 500 rekordow ::: M_REWIR <input type=text name=M_REWIR size=10 value=$_GET[M_REWIR]> | S_ADDRESS_STREET <input type=text name=S_ADDRESS_STREET size=10 value=$_GET[S_ADDRESS_STREET]> | 
Okres ilosc wierszy <input type=text name=LIMIT size=10 value=\"$_GET[LIMIT]\"> <br>| DODATKOWY_PARAMETR_SQL(np I_OPER='UPC' or I_OPER='NIEWIADOMO')<input type=text name=SQL_PARAMETR size=40 value=\"$_GET[SQL_PARAMETR]\"> 
 |<br> DODATKOWY_PARAMETR_ORDER (np. S_ADDRESS_STREET,) (wpisz przecinek)<input type=text name=SQL_PARAMETR_ORDER size=30 value=\"$_GET[SQL_PARAMETR_ORDER]\"> 
<input type=submit name=ADD value=SZUKAJ>";
echo "<font size=-2>";
echo " .<p style=\"page-break-before: always\">\n . ";
echo "<table border=1 size=100% cellspacing=0 cellpadding=0 bordercolor=\"#cccccc\"><tr><td colspan=14></td></tr>";
echo "<tr><td colspan=23>
<br>
ZLECENIE DZIALAN W TERENIE
Z dnia  <i><b>$DATA_ZLECENIA_DZIALAN</b></i> , do procesu DZIALAN_W_TERENIE nr <i><b>$NUMER_PROCESU</b></i> z dnia <i><b>$DATA_PROCESU</b></i> <br>
Zleceniodawca:<br>
<b>BIALL-NET sp. z o.o. 80-174 Gdańsk, Otomin ul. Słoneczna 43.</b><br>
Zleceniobiorca:<br>
<b>$ZLECENIOBIORCA</b> <br>

<font size=1>
1) Zleceniobiorca zobowiązuje się do wykonywania działan marketingowych na rzecz Zleceniodawcy na terenie (wg oznaczenia kodowego REWIRÓW i ULIC: $M_REWIR/$S_ADDRESS_STREET), na niżej wymienionej liście adresów:
Wszelkie dzialania (Ankiety/Działania marketingowe) należy przeprowadzać tylko na wskazanym terenie.
</font>
</td></tr>";
echo "<tr><td colspan=1 rowspan=3 width=10>LP</td><td width=10><font size=-2>M_REWIR</td><td width=10><font size=-2>DATA</td><td width=10><font size=-2>";
if($ZLECENIE_DYSTRYBUCJI_1_CZY_NIEWIADOMO_ORDER_SQL) echo "SCORE"; else echo "INNE";
echo "</font></td><td colspan=6>INTERNET</td><td colspan=6>TELEFON</td><td colspan=6>TV</td><td>---</td></tr>";
echo "<tr><td>".$fs."ULICA".$fse."</td><td>".$fs."GODZINA</td><td>".$fs."-</td><td>".$fs."MAT.</td>
 <td>".$fs."BADANO</td><td>".$fs."OPER.</td><td>".$fs."ZADOW.</td><td>".$fs."DO KIEDY</td><td>".$fs."CHEC ZMIANY</td>
 <td>".$fs."MAT.</td><td>".$fs."BADANO</td><td>".$fs."OPER.</td><td>".$fs."ZADOW.</td><td>".$fs."DO KIEDY</td>
 <td>".$fs."ZMIANA</td><td>".$fs."MAT.</td><td>".$fs."BADANO</td><td>".$fs."OPER.</td>
 <td>".$fs."ZADOW.</td><td>".$fs."DO KIEDY</td><td>".$fs."ZMIANA</td></tr><tr><td colspan=\"8\">$fs NAZWISKO i IMIĘ</td>
 <td colspan=\"8\">$fs Numer Telefonu:</td><td colspan=\"6\">$fs Uwagi:</td></tr>";

if ($_GET['SQL_PARAMETR']) {
	$SQL_PARAMETR_SQLGO = "and ( {$_GET['SQL_PARAMETR']} ) ";
	$SQL_PARAMETR_SQLGO = stripslashes($SQL_PARAMETR_SQLGO) ;
	$SQL_PARAMETR_SQLGO = ereg_replace(";","", $SQL_PARAMETR_SQLGO);
}
if (!empty($_GET['SQL_PARAMETR_ORDER'])) {
	$SQL_PARAMETR_ORDER = V::get('SQL_PARAMETR_ORDER', '', $_GET);
	$SQL_PARAMETR_ORDER = stripslashes($SQL_PARAMETR_ORDER);
	$SQL_PARAMETR_ORDER = ereg_replace(";","", $SQL_PARAMETR_ORDER);
}

$sql = "SELECT t1.*
		$ZLECENIE_DYSTRYBUCJI_1_CZY_NIEWIADOMO_WHAT_SQL
		$ZLECENIE_DYSTRYBUCJI_1_CZY_BADANIE_WHAT_SQL
	FROM `USERS2_MARKETING` as t1
	where
		( t1.S_ADDRESS_STREET like '".$_GET['S_ADDRESS_STREET']."' and t1.M_REWIR like '".$_GET['M_REWIR']."' )
		$SQL_PARAMETR_SQLGO
		$ZLECENIE_DYSTRYBUCJI_1_UZUPELNIC_DYSTRYBUCJE_SQL
		$ZLECENIE_DYSTRYBUCJI_1_CZY_BADANIE_SQL
		$ZLECENIE_DYSTRYBUCJI_1_CZY_NIEWIADOMO_SQL
		$ZLECENIE_DYSTRYBUCJI_1_CZY_SWOI_SQL
		$ZLECENIE_DYSTRYBUCJI_1_CZY_JAKOSC_SQL
	order by $SQL_PARAMETR_ORDER
		$ZLECENIE_DYSTRYBUCJI_1_CZY_NIEWIADOMO_ORDER_SQL
		$ZLECENIE_DYSTRYBUCJI_1_CZY_BADANIE_ORDER_SQL
		t1.I_OPER_FIN desc
		, t1.I_OPER_ZAINT desc
	limit {$_GET['LIMIT']}
";
if (V::get('DBG', '', $_GET)) { echo'<pre style="max-height:200px;overflow:auto;border:1px solid red;text-align:left;">sql (' . __CLASS__ . '::' . __FUNCTION__ . ':' . __LINE__ . '): ';print_r($sql);echo'</pre>'; }
echo "".ereg_replace('<','&lt;',$sql)."";
$res = null;
if ($_GET['S_ADDRESS_STREET']) {
	$db = DB::getDB();
	$res = $db->query($sql);
}
//if($_GET[S_ADDRESS_STREET]) ZAP_SQL("SELECT COUNT(t1.ID) as ILOSC_MIESZKAN , t1.T_TELBOX_BUILDING_IN , t1.M_REWIR , t2.P_ADDRESS_STREET , t2.M_ZRYWKA_DATE FROM USERS2_MARKETING as t1 left join BUILDINGS as t2 on t1.T_TELBOX_BUILDING_IN=t2.S_ADDRESS_STREET where ( t1.T_TELBOX_BUILDING_IN like '".$_GET[S_ADDRESS_STREET]."' and t1.M_REWIR like '".$_GET[M_REWIR]."' $ZLECENIE_DYSTRYBUCJI_1_UZUPELNIC_DYSTRYBUCJE_SQL  ) group by t1.T_TELBOX_BUILDING_IN order by t1.M_REWIR, t1.T_TELBOX_BUILDING_IN ");


echo "<tr><td rowspan=\"3\">0</td><td>$fs $M_REWIR</td><td>$fs $DZIALANIA_NALEZY_WYKONAC_W_DNIU</td><td></td>
<td rowspan=\"2\">$fs U,D</td><td>$fs $DZIALANIA_NALEZY_WYKONAC_W_DNIU</td><td>$fs TPSA </td><td>$fs 1</td><td>$fs";
echo date("Y-m", mktime(0,0,0,date("m")+4,  date("d"),  date("Y"))); 
echo "</td><td>$fs 5</td>";
echo "<td>$fs U,D</td><td>$fs $DZIALANIA_NALEZY_WYKONAC_W_DNIU</td><td>$fs TPSA </td><td>$fs 1</td><td>$fs";
echo date("Y-m", mktime(0,0,0,date("m")+4,  date("d"),  date("Y"))); 
echo "</td><td>$fs 5</td>";
echo "<td>$fs U,D</td><td>$fs $DZIALANIA_NALEZY_WYKONAC_W_DNIU</td><td>$fs TPSA </td><td>$fs 1</td><td>$fs";
echo date("Y-m", mktime(0,0,0,date("m")+4,  date("d"),  date("Y"))); 
echo "</td><td>$fs 5</td><td>$fs <i>przykład</i></td>";
echo "</tr>";
echo "<tr><td>$fs CI55/123</td><td>$fs $DZIALANIA_NALEZY_WYKONAC_OD_GODZINY</td><td></td>
<td>-</td><td>-</td><td>-</td><td>-</td><td>-</td><td>-</td>";
echo "<td>-</td><td>-</td><td>-</td><td>-</td><td>-</td>";
echo "<td>-</td><td>-</td><td>-</td><td>-</td><td>-</td><td>-</td><td>$fs WG BAZY</i></td>";
echo "</tr>";

echo "<tr><td colspan=\"8\">$fs <i>Nowak Jan</i></td><td colspan=\"8\">$fs <i>05833322211, 060006060</i> </td><td colspan=\"6\">$fs <i>Klient nerwowy, corka korzysta z internetu, lubi koty</i></td></tr>";


//BEGIN WYKRYWANIE ZAKRESU BUDYNKOW
$mieszkan=0;
$i=1;
$ULICE_LIST['ULICE']=array();
$ULICE_LIST['BUDYNKI']=array();
if ($res) {
while($DWA=mysql_fetch_array($res)) {
if(in_array($DWA['P_ADDRESS_STREET'],$ULICE_LIST['ULICE'])) {
} else { 
array_push($ULICE_LIST['ULICE'],$DWA["P_ADDRESS_STREET"]) ;
//array_push($ULICE_LIST['ULICE'],"wartosc") ;
  $klucz=array_search($DWA['P_ADDRESS_STREET'],$ULICE_LIST['ULICE']);
   if(!in_array($klucz,$ULICE_LIST['BUDYNKI'])) $ULICE_LIST['BUDYNKI'][$klucz]=array();
}
 $NUMER_DOM=ereg_replace("[[:alpha:]]","", $DWA['T_TELBOX_BUILDING_IN']);
// echo "NUMER DOM ..$NUMER_DOM.. ";
  $klucz=array_search($DWA['P_ADDRESS_STREET'],$ULICE_LIST['ULICE']);
//   echo "klucz to $klucz ";
   if(!in_array($NUMER_DOM,$ULICE_LIST['BUDYNKI'][$klucz])) array_push($ULICE_LIST['BUDYNKI'][$klucz],$NUMER_DOM);
//EOF BEGIN WYKRYWANIE ZAKRESU BUDYNKOW



echo "<tr><td rowspan=3>$i</td><td><font size=-2><b>".$DWA['M_REWIR']."</b></font> </td><td align=center><font size=-2>-</font></td><td><font size=-2>";
if($ZLECENIE_DYSTRYBUCJI_1_CZY_NIEWIADOMO_ORDER_SQL) {
 foreach($ZLECENIE_DYSTRYBUCJI_1_CO_BRAC_POD_UWAGE_SET as $key=>$value) {
if(!$_GET['ZLECENIE_DYSTRYBUCJI_1_CZY_UKRYC']) echo $DWA[$value."_TOTAL_SCORE"]." / ";
 }
}
echo "</font></td>";
foreach ($ZLECENIE_DYSTRYBUCJI_1_CO_BRAC_POD_UWAGE['NAZWY_POL_SKROT'] as $key=>$value) {
echo "<td rowspan=\"3\">_</td><td>. .</td><td>. .</td><td>. .</td><td>. .</td><td>. .</td>";
}
echo "<td>$fs AKTUALNIE</font></td></tr> ";
echo "<tr><td><font size=-2>$DWA[T_TELBOX_BUILDING_IN]"; if($DWA['S_ADDRESS_STREET']) echo " ($DWA[S_ADDRESS_STREET])";
echo " </font></td><td align=center><font size=-2>:</font></td><td><font size=-2>. . . . .</font></td>\n";

foreach ($ZLECENIE_DYSTRYBUCJI_1_CO_BRAC_POD_UWAGE['NAZWY_POL_SKROT'] as $key=>$value) {
 if($_GET['ZLECENIE_DYSTRYBUCJI_1_CZY_UKRYC']) {
 $DWA[$value."_BAD_DATE"]="-"; $DWA[$value."_OPER"]="-"; $DWA[$value."_OPER_FIN"]="-";  $DWA[$value."_OPER_ZAINT"]="-";  $DWA[$value."_OPER_ZAD"]="-"; 
 }
 if($DWA[$value."_OPER"]=="NIEWIADOMO") $DWA[$value."_OPER"]=" ? ? ?";
 if($DWA[$value."_OPER_ZAD"]=="NIEWIADOMO") $DWA[$value."_OPER_ZAD"]=" ? ? ?";
 if($DWA[$value."_OPER_ZAINT"]=="NIEWIADOMO") $DWA[$value."_OPER_ZAINT"]=" ? ? ?";
 if($DWA[$value."_BAD_DATE"]=="0000-00-00") $DWA[$value."_BAD_DATE"]="NIGDY";
 if($DWA[$value."_OPER_FIN"]=="0000-00-00") $DWA[$value."_OPER_FIN"]=" ? ? ?";

echo "<td>".$fs."".$DWA[$value."_BAD_DATE"]."</td><td>".$fs."".$DWA[$value."_OPER"]."</td><td>".$fs.$DWA[$value."_OPER_ZAD"]."</font>
 </td><td>".$fs.$DWA[$value."_OPER_FIN"]."</td><td>".$fs.$DWA[$value."_OPER_ZAINT"]."</td> ";
}
echo "<td>$fs WG BAZY</font></td></tr>\n";
	if($_GET['ZLECENIE_DYSTRYBUCJI_1_CZY_UKRYC']) {
		echo '<tr>';
			echo '<td colspan="8">|</td>';
			echo '<td colspan="8">|</td>';
			echo '<td colspan="6">|</td>';
		echo '</tr>';
	} else {
		echo '<tr>';
			echo '<td colspan="8"> '.$DWA['P_NAME'].'</td>';
			echo '<td colspan="8"> '.$DWA['P_PHONE'].' </td>';
			echo '<td colspan="6">'.$fs.' '.$DWA['S_OTHER_INFO'].' | APP: (D: '.$DWA['L_APPOITMENT_DATE'].' , U: '.$DWA['L_APPOITMENT_USER'].' , P: '.$DWA['L_APPOITMENT_PERIOD'].' , I: '.$DWA['L_APPOITMENT_INFO'].' , T: '.$DWA['L_APPOITMENT_TYPE'].'  ) </td>';
		echo '</tr>';
	}
	echo '<tr>';
		echo '<td colspan="23">';
		echo "Kolor dywanu:";
		$kolor_dywanu = array();
		$kolor_dywanu []= 'PARKIET';
		$kolor_dywanu []= 'KAFELKI';
		$kolor_dywanu []= 'WYKLADZINA';
		$kolor_dywanu []= 'MARMUR';
		$kolor_dywanu []= 'JASNY DYWAN';
		$kolor_dywanu []= 'CIEMNY DYWAN';
		$kolor_dywanu []= 'NIEWIADOMO';
		foreach ($kolor_dywanu as $v_kolor) {
			echo ' <input type="checkbox" style="border:1px solid black" />' . $v_kolor;
		}
		echo '<br />';
		echo "Notatki:";
		echo '<hr><br>';
		echo '</td>';
	echo '</tr>';
$i++;
$mieszkan+=$DWA['ILOSC_MIESZKAN'];

}
}
//print_r($ULICE_LIST);
echo "<tr><td colspan=23>
<font size=1>


2) Zleceniodawca powierza <b>$ILOSC_POWIERZONYCH_SZTUK_MATERIALOW</b> sztuk <b>$JAKIE_POWIERZONO_MATERIALY_plakaty_ulotki_itp</b> oraz inne przedmioty (<b>$INNE_POWIERZONE_PRZEDMIOTY_np_nozyczki_tasma_itp</b>)*, wszystkie o łącznej wartości <b>$LACZNA_WARTOSC_POWIERZONYCH_MAETRIALOW</b> PLN. zł.<br>
3) Powierzone materiały reklamowe, pod rygorem niewypłacenia wartości zlecenia Zleceniobiorcy lub/i dodatkowo powstania innych roszczeń Zleceniodawcy tytułem strat wobec Zleceniobiorcy, rozprowadzić należy na wyznaczonym terenie w dniu <b>$MATERIALY_NALEZY_ROZNIESC_W_DNIU</b> od godziny <b>$MATERIALY_NALEZY_ROZNIESC_OD_GODZINY</b> do godziny <b>$MATERIALY_NALEZY_ROZNIESC_TEGO_SAMEGO_DNIA_DO_GODZINY</b> <br>
4) Powierzone materiały reklamowe należy umieszczać pojedynczo <b>$GDZIE_UMIESZCZAC_MATERIALY</b> <br>
5) Niniejsze zlecenie z uzupelnionymi polami Raportu wraz z pozostałymi materiałami reklamowymi, należy dostarczyć do dnia: <b>$TERMIN_DATA_DOSTARCZENIA_RAPORTU</b> do godziny: <b>$GODZINA_DOSTARCZENIA_RAPORTU</b> w miejsce <b>$MIEJSCE_DOSTARCZENIA_RAPORTU</b> .<br>
   Sposob wypelnienia niniejszego raportu wygląda następująco: 
W kolumnie \"DATA\" oraz Godzina należy wpisać każdorazowo datę w formacie YYYY-MM-DD (gdzie YYYY to rok, MM to miesiąc, DD to dzień),
w kolumnie \"GODZINA\" należy wpisać godzinę rozpoczęcia czynności na danym adresie w formacie HH:MM (gdzie HH to godzina, MM to minuta),

natomiast w kolumnach odpowiednio dla każdej z usługi: INTERNET,TELEON,TV należy wprowadzić informacje dotyczącą tych elementów w rzędzie 
 poziomym \"BADANO\" - Datę badania/wizyty (wg wzoru np. 2007-02-02),
w kolumnie \"OPER\" - należy wpisać jaki jest aktualny operator dla danej usługi (np. TPSA,NETIA,JARSAT,NSM,itp...)
w kolumnie \"ZADOW\" - należy wpisać bieżące zadowolenie z aktualnego operatora (cyfra \"1\" - kiedy klient jest bardzo niezadowolony,
cyfra \"2\" - kiedy klient jest trochę niezadowolony,  cyfra \"3\" - kiedy klient nie jest ani zadowolony ani niezadowolony, 
cyfra \"4\" - kiedy klient jest raczej zadowolony, cyfra \"5\" - kiedy klient jest zadowolony,
cyfra \"6\" kiedy klient jest bardzo bardzo zadowolony z działania usługi ;
w kolumnie \"DO KIEDY\" - należy wpisać datę do kiedy klient jest związany z umową na daną usługę - jeżeli nie zna daty należy spytać sie od kiedy klient kupuje usługę i do tej daty dopisać jeden rok (w formacie YYYY-MM, gdzie YYYY to rok, MM, to miesiąc)
w kolumnie \"CHEC ZMIANY\" należy wpisać w jakim stopniu klient jest zainteresowany rezygnacją z bieżącego operatora usługi i nawiązaniem współpracy z innym np. lepszym lub tańszym dostawcą usługi -
należy to uzupełnić jedną cyfrą wg następującego wzoru  (cyfra \"1\" - kiedy klient zupełnie nie jest zainteresowany zmianą dostawcy,
cyfra \"2\" - kiedy klient jest bardzo mała szansa - że klient zmieni dostawcę ,
cyfra \"3\" - kiedy klientowi jest średnio zainteresowany zmianą dostawcy, 
cyfra \"4\" - kiedy klient jest raczej zainteresowany zmianą dostawcy, cyfra \"5\" - kiedy klient jest zainteresowany,
cyfra \"6\" - kiedy klient jest bardzo zainteresowany zmianą dostawcy;
w kolumnie \"MAT\" - należy umieścic informację n/t pozostawionego materiału marketingowego według wzoru: ( U- pozostawiona ulotka n/t danej usługi, P- informacja n/t aktualnej szczegółowej promocji, D- pozostawiony długopis z logiem firmy, K- pozostawiony katalog/folder reklamowy, I-inny materiał reklamowy)
 - w przypadku pozostawienia kilku materiałów należy je wymienić w tej kolumnie po przecinku (np \"U,D,K\" );
w każdym rekordzie pod kolumną \"NAZWISKO I IMIĘ\" (na dole każdego rekordu) należy wpisać Nazwisko oraz Imię osoby z którą było przeprowadzane badanie;
w każdym rekordzie pod kolumną \"Numer Telefonu\" należy poprosic o numer kontaktowy do osoby ankietowanej lub/i mieszkańca/właściciela danego adresu, osoby kompetentnej w zakresie zaopatrywania danego adresu w jedną z usług (Internet,Telefon lub Telewizja);
w każdym rekordzie pod kolumną \"Uwagi\" należy wpisać wszelkie uwagi/notatki zarówno jakie miały miejsce podczas badania jak i nawet przed jego wykonaniem (należy tu wpisać także informacje dodatkowe, które mogą wynikać z zakresu działania).
<br>

6) Dodatkowe czynności, które zobowiązuje się przeprowadzić Zleceniobiorca przed lub w trakcie wykonywanych działań : <b>$DODATKOWE_CZYNNOSCI_DO_ZROBIENIA_np_poskladac_ogumkowac_itp</b> <br>
7) Wartość zlecenia wynosi <b>$WARTOSC_ZLECENIA</b>  złotych.<br>
8) Materiały opisane w pkt. 2) winny trafić w 100% do ustalonych miejsc dystrybucji (wg pkt. 1) oraz pkt. 4))  . W przypadku jakichkolwiek odstępstw od powyższego zlecającemu zostanie potrącona wysokość wynagrodzenia do 20% wartości zlecenia opisanego w pkt.7).<br>
9) W przypadku, kiedy materiały opisane wyżej, w ilości większej lub równej 10% sztuk określonych w pkt. 2), zostały umieszczone w innych miejscach niż określa <nobr>pkt. 4) bądź </nobr> nie zostały umieszczone w ogóle, Zlecającemu przysługuje prawo do dodatkowego odszkodowania tytułem strat handlowych do wysokości ";
  $kara=($LACZNA_WARTOSC_POWIERZONYCH_MAETRIALOW+$WARTOSC_ZLECENIA)*2;
  echo "<b>$kara</b>";
echo " zł.<br>

10) Wyniki ankiet w trakcie ich przeprowadzania należy umieszczać w niniejszym  arkuszu, który winien być wypełniany wg
 schematu przedstawionego w pierwszym z wierszy arkusza. 
Do rozliczeń i naliczania wynagrodzenia brane będą wyłącznie pod uwagę fragmenty arkusza wypełnione w pełni, 
rzetelnie i czytelnie. Wszystkie inne pola (rzędy arkusza) wypełnione częściowo lub w ogóle,
 będą traktowane jakoby pod danym adresem ankieta nie miała miejsca. Od momentu oddania arkusza zakazane
 jest jego uzupełnianie przez którąkolwiek ze stron. 
Wpisy w danym rzędzie winny być wypełnione jednym i tym samym długopisem.


11) Nie wywiązanie się z wyżej wymienionych zadać równoznaczne jest z nie wykonaniem powierzonej pracy, co się wiąże brakiem wynagrodzenia a nawet pokryciem strat firmy wynikających z tego tytułu.<br>
12) Zlecenie realizowane jest na obszarze <b>$mieszkan</b> mieszkań, według danych z systemu BIALL-NET. Zakłąda się, że mogą być od tej liczby odstępstwa, które zostaną zweryfikowane na podstawie niniejszego zlecenia. <br>
</font>
<pre>

     ZLECENIODAWCA                                        ZLECENIOBIORCA

     .............                                        <b>$ZLECENIOBIORCA</b>
</pre>



</td></tr>";


echo "</table>";
echo " .<p style=\"page-break-before: always\">\n . ";




$font="-3";
echo "<table border=1 cellspacing=0 cellpadding=0 width=100%>";
 echo "\n<tr><td colspan=14>ZLECENIE KONTROLI DYSTRYBUCJI<font size=\"-4\">SupereditMarketingModule &copy;2007 Arkadiusz Binder</font></td></tr>";
echo "<tr><td rowspan=2 width=5><font size=$font>lp</font></td><td rowspan=2><font size=$font>Data</font></td><td rowspan=2><font size=$font>Godzina</font></td><td rowspan=2><font size=$font>Ulica/Budynek</font></td>
 <td rowspan=2><font size=$font>Klatka</font></td><td colspan=2><font size=$font>Plakat klatka</font></td><td colspan=2><font size=$font>Ulotka gumka klamka</font>
 </td><td colspan=2><font size=$font>Ulotka skrzynka</font></td>";
  echo "<td colspan=2><font size=$font>Materiał ostatnie pietro</font></td><td rowspan=2 width=90><font size=$font>Inne uwagi</td></tr>";
  echo "<tr><td><font size=$font>JEST</font></td><td><font size=$font>BRAK</font></td> <td><font size=$font>JEST</font></td><td><font size=$font>BRAK</font></td><td><font size=$font>JEST</font></td><td><font size=$font>BRAK</font></td><td><font size=$font>JEST</font></td><td><font size=$font>BRAK</font></td> ";
$i=0;
while ($i <= 30 ) {
 echo "<tr height=5><td width=10><font size=$font>$i</font></td><td>. . </td><td>. . </td><td>. . </td><td>. . </td><td>. . </td><td>. . </td><td>. . </td><td>. . </td><td>. . </td><td>. . </td><td>. . </td><td>. . </td><td>. . </td></tr>\n";

$i++;
}


 echo "<tr><td colspan=2><font size=$font>Imię i nazwisko sprawdzającego:</font></td><td colspan=4><font size=$font>$NAZWISKO_KONTROLERA</font></td><td colspan=4><font size=$font>Data i numer procesu dystrybucji</font></td><td colspan=5><font size=$font>$DATA_PROCESU / $NUMER_PROCESU</font></td></tr>";
 echo "<tr><td colspan=6 rowspan=2><font size=$font>Obszar dla kontroli:";
  foreach($ULICE_LIST['ULICE'] as $INDEKS_ULICY=>$ULICA) {
   echo " | $ULICA: ";
   foreach($ULICE_LIST['BUDYNKI'][$INDEKS_ULICY] as $INDEKS_BUDYNKU=>$BUDYNEK) {
    echo "$BUDYNEK , ";
   }
  }
 echo "</font></td><td colspan=4><font size=$font>Okres badania:</font></td><td colspan=5><font size=$font>wyłącznie w dniu: $MATERIALY_NALEZY_ROZNIESC_W_DNIU , <br> pomiędzy godzinami od: $MATERIALY_NALEZY_ROZNIESC_OD_GODZINY do $MATERIALY_NALEZY_ROZNIESC_TEGO_SAMEGO_DNIA_DO_GODZINY </font></td></tr>";
 echo "<tr><td colspan=4><font size=$font>Termin i miejsce dostarczenia raportu kontroli</font></td><td colspan=5><font size=$font>raport należy dostarczyć w $TERMIN_DATA_DOSTARCZENIA_RAPORTU_KONTROLI do godziny $GODZINA_DOSTARCZENIA_RAPORTU_KONTROLI w miejsce $MIEJSCE_DOSTARCZENIA_RAPORTU </font></td></tr>";
 echo "<tr><td colspan=14><font size=$font>Regulamin wypełnienia raportu: 1. Zleceniobiorca zobowiązuje się sprawdzić czy materiały reklamowe zostały rozmieszczone na wyznaczonym obszarze działania.
2.Wyniki kontroli rozmieszczenia materiałów reklamowych należy zapisywać w trakcie trwania kontroli w otrzymanym Raporcie kontroli ulotek. Musi on zawierać rzetelnie i czytelnie wypełnione pola. 
Sposób wypełnienia niniejszego raportu wygląda następująco: W kolumnie .Data. oraz .Godzina. należy wpisać każdorazowo datę oraz godzinę rozpoczęcia czynności na danym budynku, w kolumnie .Ulica budynek. wpisać stosownany skrót np. .CH7. to Całubińskiego 7 w kolumnie .klatka. wpisać A,B lub C(i tak dalej), w pozostałych kolumnach umiescić X w stosownym miejscu 
w zależności czy był materiał reklamowy, czy nie; w .Inne/Uwagi. wpisywać np. czy były problemy z wejściem do budynku, jeśli tak, to kto nie chciał wpuścicić.
3. Zleceniobiorca zobowiązuje się przeprowadzić kontrolę w wyżej określonym przedziale czasu  .
4. Raport kontroli ulotek należy dostarczyć zgodnie z zapisami w tabeli względnie czytelny skan na adres e-mail: marketing@biall.net.pl , z zaznaczeniem w temacie Daty i numeru procesu dystrybucji : $DATA_PROCESU / $NUMER_PROCESU .
5. Raporty kontroli ulotek winny być wypełnione wg schematu w raporcie (oznaczonego w pkt. x), czyli np. w polu .godzina/data. należy umieścić datę i godzinę rozpoczęcia kontroli rozmieszczenia materiałów na danym budynku. Niewypełnienie tych pól lub/i raportu jest równoznaczne z niewykonaniem zlecenia. Brane będą wyłącznie pod uwagę fragmenty raportu wypełnione w pełni, rzetelnie i czytelnie. Wszystkie inne pola (rzędy arkusza) wypełnione częściowo lub w ogóle, będą traktowane jakoby w danym adresie dystrybucja nie miała miejsca. Od momentu oddania raportu  kontroli ulotek zakazane jest uzupełnianie raportu przez którąkolwiek ze stron. Wpisy w danym rzędzie w raporcie winny być wypełnione jednym i tym samym długopisem.
6. Zlecenie realizowane jest tylko wyznaczonym obszarze (Obszar dla kontroli).
7. Nie wywiązanie się z wyżej wymienionych zadań równoznaczne jest z nie wykonaniem powierzonej pracy, co się wiąże brakiem wynagrodzenia a nawet pokryciem strat firmy wynikających z tego tytułu. </font></td></tr>";
echo "</table>";

}
